Open Bug 1481028 Opened Last year Updated 3 days ago

Intermittent org.mozilla.geckoview.test.PermissionDelegateTest.media | status -2 | application crashed [@ nsWindow::GeckoViewSupport::Open()]

Categories

(GeckoView :: General, defect, P3)

ARM
Android
defect

Tracking

(firefox-esr60 wontfix, firefox65 wontfix, firefox66 wontfix, firefox67 affected)

REOPENED
Tracking Status
firefox-esr60 --- wontfix
firefox65 --- wontfix
firefox66 --- wontfix
firefox67 --- affected

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell unknown])

Crash Data

Filed by: csabou [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=192083374&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/SXeuzgo6RIGrbKC8OhDwLg/runs/0/artifacts/public/logs/live_backing.log

[task 2018-08-04T22:29:59.348Z] 22:29:59     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2018-08-04T22:29:59.348Z] 22:29:59  WARNING -  TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.PermissionDelegateTest.media | status -2
[task 2018-08-04T22:29:59.349Z] 22:29:59     INFO -  TEST-INFO took 103133ms
[task 2018-08-04T22:29:59.350Z] 22:29:59     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-08-04T22:29:59.350Z] 22:29:59     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=38
[task 2018-08-04T22:29:59.350Z] 22:29:59     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.ProgressDelegateTest
[task 2018-08-04T22:29:59.351Z] 22:29:59     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2018-08-04T22:29:59.351Z] 22:29:59     INFO -  org.mozilla.geckoview.test | org.mozilla.geckoview.test.ProgressDelegateTest:
[task 2018-08-04T22:29:59.352Z] 22:29:59     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=65
[task 2018-08-04T22:29:59.353Z] 22:29:59     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=load
[task 2018-08-04T22:29:59.353Z] 22:29:59     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1
[task 2018-08-04T22:29:59.353Z] 22:29:59     INFO -  TEST-START | org.mozilla.geckoview.test.ProgressDelegateTest.load
[task 2018-08-04T22:30:01.543Z] 22:30:01     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-08-04T22:30:01.544Z] 22:30:01     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=38
[task 2018-08-04T22:30:01.545Z] 22:30:01     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.ProgressDelegateTest
[task 2018-08-04T22:30:01.546Z] 22:30:01     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2018-08-04T22:30:01.547Z] 22:30:01     INFO -  org.mozilla.geckoview.test | Error in load(org.mozilla.geckoview.test.ProgressDelegateTest):
[task 2018-08-04T22:30:01.548Z] 22:30:01     INFO -  org.mozilla.geckoview.test | java.lang.RuntimeException: unknownError: too much recursion
[task 2018-08-04T22:30:01.549Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rdp.RDPConnection$InputThread.processPacket(RDPConnection.java:124)
[task 2018-08-04T22:30:01.550Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rdp.RDPConnection$InputThread$1.run(RDPConnection.java:55)
[task 2018-08-04T22:30:01.551Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-08-04T22:30:01.551Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-08-04T22:30:01.552Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.UiThreadUtils.loopUntilIdle(UiThreadUtils.java:100)
[task 2018-08-04T22:30:01.553Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitForInitialLoad(GeckoSessionTestRule.java:1382)
[task 2018-08-04T22:30:01.553Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitForOpenSession(GeckoSessionTestRule.java:1330)
[task 2018-08-04T22:30:01.554Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.prepareStatement(GeckoSessionTestRule.java:1305)
[task 2018-08-04T22:30:01.554Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$4.evaluate(GeckoSessionTestRule.java:1485)
[task 2018-08-04T22:30:01.555Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.statement.UiThreadStatement$1.run(UiThreadStatement.java:44)
[task 2018-08-04T22:30:01.555Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2018-08-04T22:30:01.556Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-08-04T22:30:01.556Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-08-04T22:30:01.557Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.os.Looper.loop(Looper.java:137)
[task 2018-08-04T22:30:01.557Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2018-08-04T22:30:01.558Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-08-04T22:30:01.558Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-08-04T22:30:01.559Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2018-08-04T22:30:01.559Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2018-08-04T22:30:01.559Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at dalvik.system.NativeStart.main(Native Method)
[task 2018-08-04T22:30:01.560Z] 22:30:01     INFO -  org.mozilla.geckoview.test | Caused by: java.lang.Exception: unknownError: too much recursion
[task 2018-08-04T22:30:01.560Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rdp.RDPConnection$InputThread.readInputPacket(RDPConnection.java:187)
[task 2018-08-04T22:30:01.561Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rdp.RDPConnection$InputThread.run(RDPConnection.java:74)
[task 2018-08-04T22:30:01.561Z] 22:30:01     INFO -  org.mozilla.geckoview.test |
[task 2018-08-04T22:30:01.561Z] 22:30:01     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=65
[task 2018-08-04T22:30:01.562Z] 22:30:01     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stack=java.lang.RuntimeException: unknownError: too much recursion
[task 2018-08-04T22:30:01.562Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rdp.RDPConnection$InputThread.processPacket(RDPConnection.java:124)
[task 2018-08-04T22:30:01.562Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rdp.RDPConnection$InputThread$1.run(RDPConnection.java:55)
[task 2018-08-04T22:30:01.563Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-08-04T22:30:01.563Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-08-04T22:30:01.565Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.UiThreadUtils.loopUntilIdle(UiThreadUtils.java:100)
[task 2018-08-04T22:30:01.566Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitForInitialLoad(GeckoSessionTestRule.java:1382)
[task 2018-08-04T22:30:01.567Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitForOpenSession(GeckoSessionTestRule.java:1330)
[task 2018-08-04T22:30:01.567Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.prepareStatement(GeckoSessionTestRule.java:1305)
[task 2018-08-04T22:30:01.567Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$4.evaluate(GeckoSessionTestRule.java:1485)
[task 2018-08-04T22:30:01.568Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.statement.UiThreadStatement$1.run(UiThreadStatement.java:44)
[task 2018-08-04T22:30:01.568Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2018-08-04T22:30:01.569Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-08-04T22:30:01.569Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-08-04T22:30:01.570Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.os.Looper.loop(Looper.java:137)
[task 2018-08-04T22:30:01.570Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2018-08-04T22:30:01.570Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-08-04T22:30:01.571Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-08-04T22:30:01.571Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2018-08-04T22:30:01.571Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2018-08-04T22:30:01.572Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at dalvik.system.NativeStart.main(Native Method)
[task 2018-08-04T22:30:01.572Z] 22:30:01     INFO -  org.mozilla.geckoview.test | Caused by: java.lang.Exception: unknownError: too much recursion
[task 2018-08-04T22:30:01.573Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rdp.RDPConnection$InputThread.readInputPacket(RDPConnection.java:187)
[task 2018-08-04T22:30:01.573Z] 22:30:01     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rdp.RDPConnection$InputThread.run(RDPConnection.java:74)
[task 2018-08-04T22:30:01.574Z] 22:30:01     INFO -  org.mozilla.geckoview.test |
[task 2018-08-04T22:30:01.574Z] 22:30:01     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=load
[task 2018-08-04T22:30:01.574Z] 22:30:01     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
From the retriggers in Comment 4 it appears this started with Bug 1480994.
Product: Firefox for Android → GeckoView
There are 30 failures in the past 7 days for this bug. This happens on android-em-4-3-armv7-api16 debug/opt.

Recent log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=219152851&repo=autoland&lineNumber=2980

[task 2018-12-28T23:03:35.241Z] 23:03:35     INFO -  TEST-START | org.mozilla.geckoview.test.MediaElementTest.oggFullscreenMedia
[task 2018-12-28T23:03:35.241Z] 23:03:35     INFO -  org.mozilla.geckoview.test |
[task 2018-12-28T23:03:39.846Z] 23:03:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-12-28T23:03:39.847Z] 23:03:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=93
[task 2018-12-28T23:03:39.847Z] 23:03:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.MediaElementTest
[task 2018-12-28T23:03:39.848Z] 23:03:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2018-12-28T23:03:39.848Z] 23:03:39     INFO -  org.mozilla.geckoview.test | Error in oggFullscreenMedia(org.mozilla.geckoview.test.MediaElementTest):
[task 2018-12-28T23:03:39.849Z] 23:03:39     INFO -  org.mozilla.geckoview.test | java.lang.AssertionError: Cannot find Promise
[task 2018-12-28T23:03:39.850Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.evaluateJS(GeckoSessionTestRule.java:2020)
[task 2018-12-28T23:03:39.851Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.evaluateJS(GeckoSessionTestRule.java:1972)
[task 2018-12-28T23:03:39.851Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.MediaElementTest.fullscreenMedia(MediaElementTest.kt:185)
[task 2018-12-28T23:03:39.852Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.MediaElementTest.oggFullscreenMedia(MediaElementTest.kt:246)
[task 2018-12-28T23:03:39.853Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-12-28T23:03:39.854Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-12-28T23:03:39.854Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-12-28T23:03:39.855Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-12-28T23:03:39.855Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-12-28T23:03:39.856Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-12-28T23:03:39.856Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1384)
[task 2018-12-28T23:03:39.857Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2018-12-28T23:03:39.857Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-12-28T23:03:39.857Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-12-28T23:03:39.858Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at android.os.Looper.loop(Looper.java:137)
[task 2018-12-28T23:03:39.858Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2018-12-28T23:03:39.859Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-12-28T23:03:39.860Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-12-28T23:03:39.861Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2018-12-28T23:03:39.862Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2018-12-28T23:03:39.862Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at dalvik.system.NativeStart.main(Native Method)
[task 2018-12-28T23:03:39.862Z] 23:03:39     INFO -  org.mozilla.geckoview.test |
[task 2018-12-28T23:03:39.862Z] 23:03:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=195
[task 2018-12-28T23:03:39.863Z] 23:03:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stack=java.lang.AssertionError: Cannot find Promise
[task 2018-12-28T23:03:39.863Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.evaluateJS(GeckoSessionTestRule.java:2020)
[task 2018-12-28T23:03:39.864Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.evaluateJS(GeckoSessionTestRule.java:1972)
[task 2018-12-28T23:03:39.865Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.MediaElementTest.fullscreenMedia(MediaElementTest.kt:185)
[task 2018-12-28T23:03:39.866Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.MediaElementTest.oggFullscreenMedia(MediaElementTest.kt:246)
[task 2018-12-28T23:03:39.867Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-12-28T23:03:39.868Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-12-28T23:03:39.869Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-12-28T23:03:39.869Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-12-28T23:03:39.870Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-12-28T23:03:39.870Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-12-28T23:03:39.870Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1384)
[task 2018-12-28T23:03:39.871Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2018-12-28T23:03:39.871Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-12-28T23:03:39.871Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-12-28T23:03:39.872Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at android.os.Looper.loop(Looper.java:137)
[task 2018-12-28T23:03:39.872Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2018-12-28T23:03:39.873Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-12-28T23:03:39.873Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-12-28T23:03:39.873Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2018-12-28T23:03:39.874Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2018-12-28T23:03:39.874Z] 23:03:39     INFO -  org.mozilla.geckoview.test | 	at dalvik.system.NativeStart.main(Native Method)
[task 2018-12-28T23:03:39.874Z] 23:03:39     INFO -  org.mozilla.geckoview.test |
[task 2018-12-28T23:03:39.875Z] 23:03:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=oggFullscreenMedia
[task 2018-12-28T23:03:39.875Z] 23:03:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2018-12-28T23:03:39.875Z] 23:03:39  WARNING -  TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.MediaElementTest.oggFullscreenMedia | status -2
[task 2018-12-28T23:03:39.875Z] 23:03:39     INFO -  TEST-INFO took 4618ms
Whiteboard: [stockwell needswork:owner]

Recent logcats show a variety of media warnings, a MOZ_Assert, and a crash:

01-17 16:15:23.615 838 897 I Gecko : [Child 838, MediaManager] WARNING: Could not register the audio output device collection changed callback.: file /builds/worker/workspace/build/src/dom/media/webrtc/CubebDeviceEnumerator.cpp, line 30
01-17 16:15:23.615 838 897 I Gecko : [Child 838, MediaManager] WARNING: Could not register the audio input device collection changed callback.: file /builds/worker/workspace/build/src/dom/media/webrtc/CubebDeviceEnumerator.cpp, line 39
01-17 16:15:31.916 773 779 I dalvikvm: Jit: resizing JitTable from 4096 to 8192
01-17 16:15:32.715 773 900 I libjingle: (video_capture_android.cc:153): VideoCaptureAndroid::Init: Camera 0, Facing back, Orientation 90
01-17 16:15:32.715 773 900 D HelpersAndroid: Attaching thread to JVM@[tid=900]
01-17 16:15:32.726 40 40 V EmulatedCamera_Camera: getCameraInfo
01-17 16:15:32.726 40 40 V EmulatedCamera_BaseCamera: getCameraInfo
01-17 16:15:32.735 40 40 W AudioFlinger: session id 4 not found for pid 40
01-17 16:15:32.745 40 40 W AudioFlinger: session id 5 not found for pid 40
01-17 16:15:32.745 773 900 D HelpersAndroid: Detaching thread from JVM@[tid=900]
01-17 16:15:32.945 773 900 D HelpersAndroid: Attaching thread to JVM@[tid=900]
01-17 16:15:32.945 773 900 I libjingle: (device_info_android.cc:293): Search for best target mfps 0
01-17 16:15:32.955 773 900 I libjingle: (device_info_android.cc:299): Fps range 5:30. Distance: 47
01-17 16:15:32.955 773 900 D WEBRTC-JC: startCapture: 320x240@5:30
01-17 16:15:32.995 40 40 V EmulatedCamera_Camera: getCameraInfo
01-17 16:15:32.995 40 40 V EmulatedCamera_BaseCamera: getCameraInfo
01-17 16:15:32.995 40 40 V EmulatedCamera_Camera: getCameraInfo
01-17 16:15:32.995 40 40 V EmulatedCamera_BaseCamera: getCameraInfo
01-17 16:15:33.005 40 40 I AwesomePlayer: setDataSource_l(URL suppressed)
01-17 16:15:33.005 40 907 W AudioPolicyManagerBase: getOutput() could not find output for stream 3, samplingRate 44100,format 1, channels 3, flags 4
01-17 16:15:33.005 838 916 E AudioTrack: Could not get audio output for stream type 3
01-17 16:15:33.015 838 916 E libOpenSLES: AudioTrack::initCheck status 4294967274
01-17 16:15:33.015 838 916 W libOpenSLES: Leaving Object::Realize (SL_RESULT_CONTENT_UNSUPPORTED)
01-17 16:15:33.025 838 916 I Gecko : [Child 838, CubebOperation #1] WARNING: Could not create a cubeb stream for MediaStreamGraph, falling back to a SystemClockDriver: file /builds/worker/workspace/build/src/dom/media/GraphDriver.cpp, line 629
01-17 16:15:33.055 838 919 I Gecko : [Child 838, MediaStreamGrph] WARNING: No audio stream!: 'mDriver->mAudioStream || aOperation == INIT', file /builds/worker/workspace/build/src/dom/media/GraphDriver.cpp, line 423
01-17 16:15:33.055 838 916 I Gecko : [Child 838, CubebOperation #1] WARNING: Could not stop cubeb stream for MSG.: file /builds/worker/workspace/build/src/dom/media/GraphDriver.cpp, line 702
01-17 16:15:33.095 838 919 I Gecko : [Child 838, MediaStreamGrph] WARNING: No audio tracks, but full-duplex audio is enabled!!!!!: file /builds/worker/workspace/build/src/dom/media/MediaStreamGraph.cpp, line 343
01-17 16:15:33.145 40 907 W AudioPolicyManagerBase: getOutput() could not find output for stream 3, samplingRate 44100,format 1, channels 3, flags 4
01-17 16:15:33.145 838 916 E AudioTrack: Could not get audio output for stream type 3
01-17 16:15:33.155 838 916 E libOpenSLES: AudioTrack::initCheck status 4294967274
01-17 16:15:33.155 838 916 W libOpenSLES: Leaving Object::Realize (SL_RESULT_CONTENT_UNSUPPORTED)
01-17 16:15:33.155 838 916 I Gecko : [Child 838, CubebOperation #1] WARNING: Could not create a cubeb stream for MediaStreamGraph, falling back to a SystemClockDriver: file /builds/worker/workspace/build/src/dom/media/GraphDriver.cpp, line 629
01-17 16:15:33.194 838 920 I Gecko : [Child 838, MediaStreamGrph] WARNING: No audio stream!: 'mDriver->mAudioStream || aOperation == INIT', file /builds/worker/workspace/build/src/dom/media/GraphDriver.cpp, line 423
01-17 16:15:33.194 838 916 I Gecko : [Child 838, CubebOperation #1] WARNING: Could not stop cubeb stream for MSG.: file /builds/worker/workspace/build/src/dom/media/GraphDriver.cpp, line 702
01-17 16:15:33.205 838 920 F MOZ_Assert: Assertion failure: CurrentDriver()->Switching(), at /builds/worker/workspace/build/src/dom/media/MediaStreamGraph.cpp:1000
01-17 16:15:33.215 40 40 I AwesomePlayer: setDataSource_l(URL suppressed)
01-17 16:15:33.565 40 40 I CameraClient: Opening camera 0
01-17 16:15:33.565 40 40 V EmulatedCamera_Camera: connectCamera
01-17 16:15:33.565 40 40 V EmulatedCamera_FakeDevice: connectDevice
01-17 16:15:33.575 40 40 V EmulatedCamera_CallbackNotifier: setCallbacks: 0x4052d307, 0x4052e1dd, 0x4052e161, 0x4052e379 (0x2a020ad8)
01-17 16:15:33.575 40 40 V EmulatedCamera_CallbackNotifier: enableMessage: msg_type = 0xc0d
01-17 16:15:33.575 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ERROR
01-17 16:15:33.575 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_FOCUS
01-17 16:15:33.575 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ZOOM
01-17 16:15:33.575 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_METADATA
01-17 16:15:33.575 40 40 V EmulatedCamera_CallbackNotifier: **** Currently enabled messages:
01-17 16:15:33.575 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ERROR
01-17 16:15:33.575 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_FOCUS
01-17 16:15:33.575 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ZOOM
01-17 16:15:33.585 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_METADATA
01-17 16:15:33.605 773 917 D WEBRTC-JC: Camera orientation: 90 .Device orientation: 0
01-17 16:15:33.615 773 917 D WEBRTC-JC: isVideoStabilizationSupported: false
01-17 16:15:33.615 773 917 D WEBRTC-JC: Camera preview mfps range: 5 - 30
01-17 16:15:33.625 40 907 V EmulatedCamera_Camera: setParameters
01-17 16:15:33.625 40 907 D EmulatedCamera_Camera: === Value changed: picture-size: 640x480 -> 320x240
01-17 16:15:33.625 40 907 D EmulatedCamera_Camera: === Value changed: preview-size: 640x480 -> 320x240
01-17 16:15:33.845 773 776 D dalvikvm: GC_CONCURRENT freed 738K, 14% free 5183K/6008K, paused 8ms+5ms, total 200ms
01-17 16:15:33.845 773 917 D dalvikvm: WAIT_FOR_CONCURRENT_GC blocked 182ms
01-17 16:15:33.975 773 917 D dalvikvm: GC_FOR_ALLOC freed 22K, 14% free 5273K/6124K, paused 127ms, total 127ms
01-17 16:15:33.995 40 40 V EmulatedCamera_CallbackNotifier: enableMessage: msg_type = 0x10
01-17 16:15:33.995 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_FRAME
01-17 16:15:33.995 40 40 V EmulatedCamera_CallbackNotifier: **** Currently enabled messages:
01-17 16:15:34.005 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ERROR
01-17 16:15:34.005 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_FOCUS
01-17 16:15:34.005 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ZOOM
01-17 16:15:34.005 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_FRAME
01-17 16:15:34.005 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_METADATA
01-17 16:15:34.005 40 105 V EmulatedCamera_Preview: setPreviewWindow: current: 0x0 -> new: 0x2a020ae8
01-17 16:15:34.016 40 105 V EmulatedCamera_Camera: doStartPreview
01-17 16:15:34.016 40 105 V EmulatedCamera_Preview: startPreview
01-17 16:15:34.016 40 105 D EmulatedCamera_Camera: Starting camera: 320x240 -> NV21(yuv420sp)
01-17 16:15:34.016 40 105 V EmulatedCamera_FakeDevice: startDevice
01-17 16:15:34.016 40 105 V EmulatedCamera_Device: commonStartDevice: Allocated 0x2a024068 115200 bytes for 76800 pixels in NV21[320x240] frame
01-17 16:15:34.025 40 105 V EmulatedCamera_Device: startDeliveringFrames
01-17 16:15:34.025 40 105 V EmulatedCamera_Device: startWorkerThread
01-17 16:15:34.025 773 900 D HelpersAndroid: Detaching thread from JVM@[tid=900]
01-17 16:15:34.045 40 926 V EmulatedCamera_Device: Starting emulated camera device worker thread...
01-17 16:15:34.045 40 926 V EmulatedCamera_Device: Emulated device's worker thread has been started.
01-17 16:15:34.075 40 926 V EmulatedCamera_Preview: onNextFrameAvailable: Adjusting preview windows 0x2a020ae8 geometry to 320x240
01-17 16:15:34.085 773 785 D : HostConnection::get() New Host Connection established 0x2a1e9570, tid 785
01-17 16:15:34.105 40 926 D : HostConnection::get() New Host Connection established 0x2a00ba38, tid 926
01-17 16:15:34.145 773 917 I libjingle: (video_capture_android.cc:130): New camera rotation: 90
01-17 16:15:34.195 773 784 D : HostConnection::get() New Host Connection established 0x2a1e9870, tid 784
01-17 16:15:34.255 773 927 D : HostConnection::get() New Host Connection established 0x2a1b5c70, tid 927
01-17 16:15:35.855 773 917 D WEBRTC-JC: Camera TS 817827. Duration: 62 ms. FPS: 1
01-17 16:15:37.155 838 916 D dalvikvm: threadid=12: thread exiting, not yet detached (count=0)
01-17 16:15:37.595 38 38 D Zygote : Process 838 terminated by signal (11)
01-17 16:15:37.615 773 785 I GeckoProcessManager: Binder died for tab
01-17 16:15:37.615 274 374 I ActivityManager: Process org.mozilla.geckoview.test:tab (pid 838) has died.
01-17 16:15:37.625 274 374 W ActivityManager: Scheduling restart of crashed service org.mozilla.geckoview.test/org.mozilla.gecko.process.GeckoServiceChildProcess$tab in 5000ms
01-17 16:15:37.646 773 802 I Gecko : [Parent 773, Gecko_IOThread] WARNING: pipe error (83): Connection reset by peer: file /builds/worker/workspace/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 357
01-17 16:15:37.665 773 815 I Gecko :
01-17 16:15:37.665 773 815 I Gecko : ###!!! [Parent][MessageChannel] Error: (msgtype=0xA00001,name=PVsync::Msg_Notify) Channel error: cannot send/recv
01-17 16:15:37.665 773 815 I Gecko :
01-17 16:15:37.685 773 917 D WEBRTC-JC: Camera TS 819657. Duration: 111 ms. FPS: 8
01-17 16:15:37.705 773 789 I Gecko :
01-17 16:15:37.705 773 789 I Gecko : ###!!! [Parent][RunMessage] Error: Channel error: cannot send/recv
01-17 16:15:37.705 773 789 I Gecko :
01-17 16:15:37.705 773 789 I Gecko :
01-17 16:15:37.705 773 789 I Gecko : ###!!! [Parent][RunMessage] Error: Channel error: cannot send/recv
01-17 16:15:37.705 773 789 I Gecko :
01-17 16:15:37.715 773 789 I Gecko :
01-17 16:15:37.715 773 789 I Gecko : ###!!! [Parent][RunMessage] Error: Channel error: cannot send/recv
01-17 16:15:37.715 773 789 I Gecko :
01-17 16:15:37.726 773 815 I Gecko : [Parent 773, IPDL Background] WARNING: bad Shmem: file /builds/worker/workspace/build/src/ipc/glue/ProtocolUtils.cpp, line 476
01-17 16:15:37.726 773 900 D HelpersAndroid: Attaching thread to JVM@[tid=900]
01-17 16:15:37.726 773 900 D WEBRTC-JC: stopCapture
01-17 16:15:37.735 40 907 V EmulatedCamera_CallbackNotifier: disableMessage: msg_type = 0x10
01-17 16:15:37.735 40 907 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_FRAME
01-17 16:15:37.735 40 907 V EmulatedCamera_CallbackNotifier: **** Currently enabled messages:
01-17 16:15:37.735 40 907 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ERROR
01-17 16:15:37.735 40 907 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_FOCUS
01-17 16:15:37.735 40 907 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ZOOM
01-17 16:15:37.735 40 907 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_METADATA
01-17 16:15:37.735 40 907 V EmulatedCamera_Camera: doStopPreview
01-17 16:15:37.735 40 907 V EmulatedCamera_Device: stopDeliveringFrames
01-17 16:15:37.735 40 907 V EmulatedCamera_Device: stopWorkerThread
01-17 16:15:37.735 40 907 V EmulatedCamera_Device: Stopping emulated camera device's worker thread...
01-17 16:15:37.745 40 926 V EmulatedCamera_Device: Select: THREAD_STOP message is received
01-17 16:15:37.745 40 926 V EmulatedCamera_FakeDevice: inWorkerThread: Worker thread has been terminated.
01-17 16:15:37.745 40 907 V EmulatedCamera_Device: Emulated camera device's worker thread has been stopped.
01-17 16:15:37.745 40 907 V EmulatedCamera_FakeDevice: stopDevice
01-17 16:15:37.745 40 907 V EmulatedCamera_Preview: stopPreview
01-17 16:15:37.755 40 908 V EmulatedCamera_CallbackNotifier: disableMessage: msg_type = 0x10
01-17 16:15:37.755 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_FRAME
01-17 16:15:37.755 40 908 V EmulatedCamera_CallbackNotifier: **** Currently enabled messages:
01-17 16:15:37.755 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ERROR
01-17 16:15:37.755 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_FOCUS
01-17 16:15:37.755 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ZOOM
01-17 16:15:37.755 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_METADATA
01-17 16:15:37.755 773 917 D Camera : app passed NULL surface
01-17 16:15:37.765 40 105 D : HostConnection::get() New Host Connection established 0x2a022e38, tid 105
01-17 16:15:37.765 773 917 D : HostConnection::get() New Host Connection established 0x2a1e7df8, tid 917
01-17 16:15:37.775 40 40 V EmulatedCamera_CallbackNotifier: disableMessage: msg_type = 0x10
01-17 16:15:37.775 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_FRAME
01-17 16:15:37.775 40 40 V EmulatedCamera_CallbackNotifier: **** Currently enabled messages:
01-17 16:15:37.775 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ERROR
01-17 16:15:37.775 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_FOCUS
01-17 16:15:37.775 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ZOOM
01-17 16:15:37.775 40 40 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_METADATA
01-17 16:15:37.775 40 908 V EmulatedCamera_CallbackNotifier: disableMessage: msg_type = 0xffff
01-17 16:15:37.775 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ERROR
01-17 16:15:37.785 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_SHUTTER
01-17 16:15:37.785 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_FOCUS
01-17 16:15:37.785 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_ZOOM
01-17 16:15:37.785 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_FRAME
01-17 16:15:37.785 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_VIDEO_FRAME
01-17 16:15:37.785 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_POSTVIEW_FRAME
01-17 16:15:37.785 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_RAW_IMAGE
01-17 16:15:37.785 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_COMPRESSED_IMAGE
01-17 16:15:37.785 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_RAW_IMAGE_NOTIFY
01-17 16:15:37.795 40 908 V EmulatedCamera_CallbackNotifier: CAMERA_MSG_PREVIEW_METADATA
01-17 16:15:37.795 40 908 V EmulatedCamera_CallbackNotifier: **** Currently enabled messages:
01-17 16:15:37.795 40 908 V EmulatedCamera_Camera: doStopPreview
01-17 16:15:37.795 40 908 V EmulatedCamera_Camera: cancelPicture
01-17 16:15:37.795 40 908 V EmulatedCamera_Camera: releaseCamera
01-17 16:15:37.795 40 908 V EmulatedCamera_Camera: doStopPreview
01-17 16:15:37.795 40 908 V EmulatedCamera_FakeDevice: disconnectDevice
01-17 16:15:37.806 40 908 I CameraClient: Destroying camera 0
01-17 16:15:37.806 40 908 V EmulatedCamera_Camera: closeCamera
01-17 16:15:37.806 40 908 V EmulatedCamera_Camera: doStopPreview
01-17 16:15:37.806 773 900 D WEBRTC-JC: stopCapture done
01-17 16:15:37.806 773 900 D HelpersAndroid: Detaching thread from JVM@[tid=900]
01-17 16:15:37.815 773 900 D HelpersAndroid: Attaching thread to JVM@[tid=900]
01-17 16:15:37.815 773 900 D HelpersAndroid: Detaching thread from JVM@[tid=900]
01-17 16:15:37.825 40 105 W AudioFlinger: session id 7 not found for pid 40
01-17 16:15:37.825 40 105 W AudioFlinger: session id 9 not found for pid 40
01-17 16:15:37.835 773 789 I Gecko :
01-17 16:15:37.835 773 789 I Gecko : ###!!! [Parent][MessageChannel] Error: (msgtype=0x1E0087,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
01-17 16:15:37.835 773 789 I Gecko :
01-17 16:15:37.925 773 789 D GeckoViewProgress: observe: topic=oop-frameloader-crashed
01-17 16:15:37.995 773 789 D GeckoViewContent: observe: oop-frameloader-crashed
01-17 16:15:38.005 773 773 E GeckoSystemStateListener: mInputManager should be valid!
01-17 16:15:38.015 773 786 I TestRunner: failed: media(org.mozilla.geckoview.test.PermissionDelegateTest)
01-17 16:15:38.015 773 786 I TestRunner: ----- begin exception -----
01-17 16:15:38.025 773 786 I TestRunner: org.mozilla.geckoview.test.rule.GeckoSessionTestRule$ChildCrashedException: Child process crashed
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$1.invoke(GeckoSessionTestRule.java:1122)
01-17 16:15:38.025 773 786 I TestRunner: at $Proxy23.onCrash(Native Method)
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.geckoview.GeckoSession$2.handleMessage(GeckoSession.java:363)
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.geckoview.GeckoSession$2.handleMessage(GeckoSession.java:354)
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.geckoview.GeckoSessionHandler.handleMessage(GeckoSessionHandler.java:79)
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.gecko.EventDispatcher$3.run(EventDispatcher.java:373)
01-17 16:15:38.025 773 786 I TestRunner: at android.os.Handler.handleCallback(Handler.java:730)
01-17 16:15:38.025 773 786 I TestRunner: at android.os.Handler.dispatchMessage(Handler.java:92)
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.geckoview.test.util.UiThreadUtils.loopUntilIdle(UiThreadUtils.java:154)
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$PromiseWrapper.getValue(GeckoSessionTestRule.java:409)
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.resolvePromise(GeckoSessionTestRule.java:2091)
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitForJS(GeckoSessionTestRule.java:2063)
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.geckoview.test.BaseSessionTest.waitForJS(BaseSessionTest.kt:134)
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.geckoview.test.PermissionDelegateTest.media(PermissionDelegateTest.kt:77)
01-17 16:15:38.025 773 786 I TestRunner: at java.lang.reflect.Method.invokeNative(Native Method)
01-17 16:15:38.025 773 786 I TestRunner: at java.lang.reflect.Method.invoke(Method.java:525)
01-17 16:15:38.025 773 786 I TestRunner: at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
01-17 16:15:38.025 773 786 I TestRunner: at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
01-17 16:15:38.025 773 786 I TestRunner: at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
01-17 16:15:38.025 773 786 I TestRunner: at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
01-17 16:15:38.025 773 786 I TestRunner: at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1407)
01-17 16:15:38.025 773 786 I TestRunner: at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
01-17 16:15:38.025 773 786 I TestRunner: at android.os.Handler.handleCallback(Handler.java:730)
01-17 16:15:38.025 773 786 I TestRunner: at android.os.Handler.dispatchMessage(Handler.java:92)
01-17 16:15:38.025 773 786 I TestRunner: at android.os.Looper.loop(Looper.java:137)
01-17 16:15:38.025 773 786 I TestRunner: at android.app.ActivityThread.main(ActivityThread.java:5103)
01-17 16:15:38.025 773 786 I TestRunner: at java.lang.reflect.Method.invokeNative(Native Method)
01-17 16:15:38.025 773 786 I TestRunner: at java.lang.reflect.Method.invoke(Method.java:525)
01-17 16:15:38.025 773 786 I TestRunner: at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
01-17 16:15:38.025 773 786 I TestRunner: at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
01-17 16:15:38.025 773 786 I TestRunner: at dalvik.system.NativeStart.main(Native Method)
01-17 16:15:38.035 773 786 I TestRunner: ----- end exception -----
01-17 16:15:38.065 773 786 I TestRunner: finished: media(org.mozilla.geckoview.test.PermissionDelegateTest)

01-17 16:15:33.205 838 920 F MOZ_Assert: Assertion failure: CurrentDriver()->Switching(), at /builds/worker/workspace/build/src/dom/media/MediaStreamGraph.cpp:1000

That MOZ_Assert was added in bug 1404977. :padenot, I wonder if you can tell what is going wrong here?

Flags: needinfo?(padenot)

This all means that we tried to open an audio stream, but it didn't succeed. Do we have any reason to believe that in this configuration, it's possible that opening an audio stream can fail?

Flags: needinfo?(padenot)

100% of these failures are on the android-em-4-3-armv7-api16 emulator, but AFAICT that's probably because we don't currently run these geckoview-junit tests on any other Android platform.

I'll reset the priority so the GeckoView team will revisit this bug during triage.

OS: Unspecified → Android
Priority: P5 → --

(In reply to Paul Adenot (:padenot) from comment #31)

This all means that we tried to open an audio stream, but it didn't succeed. Do we have any reason to believe that in this configuration, it's possible that opening an audio stream can fail?

Thanks Paul. That reminds me that :jchen had a look at audio on the android 4.3 emulator in bug 1458020 and added "-audio oss" to the emulator command line there. It usually works.

(In reply to Chris Peterson [:cpeterson] from comment #32)

100% of these failures are on the android-em-4-3-armv7-api16 emulator, but AFAICT that's probably because we don't currently run these geckoview-junit tests on any other Android platform.

Technically we also run geckoview-junit on android 7.0 x86, but that's tier 3, so not sheriffed. Also, hangs may be preventing us from running this test there currently (bug 1521195).

P2 for intermittent geckoview-junit test failure

Priority: -- → P2

There are 32 total failures in the last 7 days and 117 total failures in the las 30 days all on android-em-4-3-armv7-api16
debug.

Whiteboard: [stockwell unknown] → [stockwell needswork:owner]

GeckoView P1

Priority: P2 → P1

Over the last 7 days this bug has 48 failures. These happen only on android-em-4-3-armv7-api16-ccov.

Here is the latest log failure: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=229105000&repo=autoland&lineNumber=2084

task 2019-02-19T00:15:34.679Z] 00:15:34 INFO - org.mozilla.geckoview.test | at dalvik.system.NativeStart.main(Native Method)
[task 2019-02-19T00:15:34.680Z] 00:15:34 INFO - org.mozilla.geckoview.test |
[task 2019-02-19T00:15:34.680Z] 00:15:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=media
[task 2019-02-19T00:15:34.681Z] 00:15:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2019-02-19T00:15:34.681Z] 00:15:34 WARNING - TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.PermissionDelegateTest.media | status -2
[task 2019-02-19T00:15:34.682Z] 00:15:34 INFO - TEST-INFO took 47645ms
[task 2019-02-19T00:15:34.682Z] 00:15:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-02-19T00:15:34.764Z] 00:15:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=40
[task 2019-02-19T00:15:34.765Z] 00:15:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.ProgressDelegateTest
[task 2019-02-19T00:15:34.766Z] 00:15:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-02-19T00:15:34.766Z] 00:15:34 INFO - org.mozilla.geckoview.test | org.mozilla.geckoview.test.ProgressDelegateTest:
[task 2019-02-19T00:15:34.767Z] 00:15:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=66
[task 2019-02-19T00:15:34.767Z] 00:15:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=noSecurityInfoForExpiredTLS
[task 2019-02-19T00:15:34.768Z] 00:15:34 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1
[task 2019-02-19T00:15:34.768Z] 00:15:34 INFO - TEST-START | org.mozilla.geckoview.test.ProgressDelegateTest.noSecurityInfoForExpiredTLS
[task 2019-02-19T00:15:36.770Z] 00:15:36 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_RESULT: shortMsg=Process crashed.
[task 2019-02-19T00:15:36.771Z] 00:15:36 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_CODE: 0
[task 2019-02-19T00:15:37.071Z] 00:15:37 INFO - Passed: 35
[task 2019-02-19T00:15:37.072Z] 00:15:37 WARNING - Failed: 1
[task 2019-02-19T00:15:37.072Z] 00:15:37 WARNING - One or more unittests failed.
[task 2019-02-19T00:15:37.073Z] 00:15:37 INFO - Todo: 3
[task 2019-02-19T00:15:37.073Z] 00:15:37 INFO - SUITE-END | took 742s
[task 2019-02-19T00:15:38.191Z] 00:15:38 INFO - mozcrash Copy/paste: /builds/worker/workspace/build/linux64-minidump_stackwalk /tmp/tmpM33i6H/01a74cfd-c7cb-6925-cf58-3d267ec7190e.dmp /builds/worker/workspace/build/symbols
[task 2019-02-19T00:15:49.504Z] 00:15:49 INFO - mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/01a74cfd-c7cb-6925-cf58-3d267ec7190e.dmp
[task 2019-02-19T00:15:49.505Z] 00:15:49 INFO - mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/01a74cfd-c7cb-6925-cf58-3d267ec7190e.extra
[task 2019-02-19T00:15:49.507Z] 00:15:49 WARNING - PROCESS-CRASH | org.mozilla.geckoview.test.ProgressDelegateTest.noSecurityInfoForExpiredTLS | application crashed [@ nsWindow::GeckoViewSupport::Open(mozilla::jni::LocalRef<mozilla::jni::TypedObject<_jclass*> > const&, mozilla::jni::Ref<mozilla::java::GeckoSession::Window, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::StringParam const&, mozilla::jni::StringParam const&, int, bool)]
[task 2019-02-19T00:15:49.508Z] 00:15:49 INFO - Crash dump filename: /tmp/tmpM33i6H/01a74cfd-c7cb-6925-cf58-3d267ec7190e.dmp
[task 2019-02-19T00:15:49.508Z] 00:15:49 INFO - Operating system: Android
[task 2019-02-19T00:15:49.508Z] 00:15:49 INFO - 0.0.0 Linux 2.6.29-gea477bb #1 Wed Sep 26 11:04:45 PDT 2012 armv7l
[task 2019-02-19T00:15:49.509Z] 00:15:49 INFO - CPU: arm
[task 2019-02-19T00:15:49.509Z] 00:15:49 INFO - ARMv7 ARM Cortex-A8 features: swp,half,thumb,fastmult,vfpv2,edsp,neon,vfpv3
[task 2019-02-19T00:15:49.509Z] 00:15:49 INFO - 1 CPU
[task 2019-02-19T00:15:49.510Z] 00:15:49 INFO - GPU: UNKNOWN
[task 2019-02-19T00:15:49.510Z] 00:15:49 INFO - Crash reason: SIGSEGV /SEGV_MAPERR
[task 2019-02-19T00:15:49.510Z] 00:15:49 INFO - Crash address: 0x0

Flags: needinfo?(cpeterson)

Resetting priority so GV triage will review this test crash.

PROCESS-CRASH | org.mozilla.geckoview.test.ProgressDelegateTest.noSecurityInfoForExpiredTLS | application crashed [@ nsWindow::GeckoViewSupport::Open(mozilla::jni::LocalRef<mozilla::jni::TypedObject<_jclass*> > const&, mozilla::jni::Ref<mozilla::java::GeckoSession::Window, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::StringParam const&, mozilla::jni::StringParam const&, int, bool)]

Flags: needinfo?(cpeterson)
Priority: P1 → --
Hardware: Unspecified → ARM
Priority: -- → P2

P1 for having a higher intermittent failure rate than other geckoview-junit tests

Priority: P2 → P1

There are 99 total failures in the last 7 days on android-em-4-3-armv7-api16 debug

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=230914265&repo=autoland&lineNumber=2082

[task 2019-02-28T01:20:49.244Z] 01:20:49 INFO - TEST-START | org.mozilla.geckoview.test.PermissionDelegateTest.media
[task 2019-02-28T01:21:38.850Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-02-28T01:21:38.850Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=39
[task 2019-02-28T01:21:38.850Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.PermissionDelegateTest
[task 2019-02-28T01:21:38.851Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-02-28T01:21:38.851Z] 01:21:38 INFO - org.mozilla.geckoview.test | Error in media(org.mozilla.geckoview.test.PermissionDelegateTest):
task 2019-02-28T01:21:38.867Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=media
[task 2019-02-28T01:21:38.867Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2019-02-28T01:21:38.867Z] 01:21:38 WARNING - TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.PermissionDelegateTest.media | status -2
[task 2019-02-28T01:21:38.867Z] 01:21:38 INFO - TEST-INFO took 49607ms
[task 2019-02-28T01:21:38.963Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2019-02-28T01:21:38.963Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=40
[task 2019-02-28T01:21:38.964Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.ProgressDelegateTest
[task 2019-02-28T01:21:38.965Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2019-02-28T01:21:38.965Z] 01:21:38 INFO - org.mozilla.geckoview.test | org.mozilla.geckoview.test.ProgressDelegateTest:
[task 2019-02-28T01:21:38.965Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=67
[task 2019-02-28T01:21:38.967Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=noSecurityInfoForExpiredTLS
[task 2019-02-28T01:21:38.967Z] 01:21:38 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1
[task 2019-02-28T01:21:38.967Z] 01:21:38 INFO - TEST-START | org.mozilla.geckoview.test.ProgressDelegateTest.noSecurityInfoForExpiredTLS
[task 2019-02-28T01:21:41.171Z] 01:21:41 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_RESULT: shortMsg=Process crashed.
[task 2019-02-28T01:21:41.171Z] 01:21:41 INFO - org.mozilla.geckoview.test | INSTRUMENTATION_CODE: 0
[task 2019-02-28T01:21:41.472Z] 01:21:41 INFO - Passed: 35
[task 2019-02-28T01:21:41.472Z] 01:21:41 WARNING - Failed: 1
[task 2019-02-28T01:21:41.473Z] 01:21:41 WARNING - One or more unittests failed.
[task 2019-02-28T01:21:41.473Z] 01:21:41 INFO - Todo: 3
[task 2019-02-28T01:21:41.474Z] 01:21:41 INFO - SUITE-END | took 712s
[task 2019-02-28T01:21:42.491Z] 01:21:42 INFO - mozcrash Copy/paste: /builds/worker/workspace/build/linux64-minidump_stackwalk /tmp/tmpASNjEO/7c2830ff-6df7-7133-35b8-b44323635d46.dmp /builds/worker/workspace/build/symbols
[task 2019-02-28T01:21:52.304Z] 01:21:52 INFO - mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/7c2830ff-6df7-7133-35b8-b44323635d46.dmp
[task 2019-02-28T01:21:52.305Z] 01:21:52 INFO - mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/7c2830ff-6df7-7133-35b8-b44323635d46.extra
[task 2019-02-28T01:21:52.307Z] 01:21:52 WARNING - PROCESS-CRASH | org.mozilla.geckoview.test.ProgressDelegateTest.noSecurityInfoForExpiredTLS | application crashed [@ nsWindow::GeckoViewSupport::Open(mozilla::jni::LocalRef<mozilla::jni::TypedObject<_jclass*> > const&, mozilla::jni::Ref<mozilla::java::GeckoSession::Window, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::StringParam const&, mozilla::jni::StringParam const&, int, bool)]
[task 2019-02-28T01:21:52.308Z] 01:21:52 INFO - Crash dump filename: /tmp/tmpASNjEO/7c2830ff-6df7-7133-35b8-b44323635d46.dmp
[task 2019-02-28T01:21:52.308Z] 01:21:52 INFO - Operating system: Android
[task 2019-02-28T01:21:52.308Z] 01:21:52 INFO - 0.0.0 Linux 2.6.29-gea477bb #1 Wed Sep 26 11:04:45 PDT 2012 armv7l
[task 2019-02-28T01:21:52.308Z] 01:21:52 INFO - CPU: arm
[task 2019-02-28T01:21:52.308Z] 01:21:52 INFO - ARMv7 ARM Cortex-A8 features: swp,half,thumb,fastmult,vfpv2,edsp,neon,vfpv3
[task 2019-02-28T01:21:52.309Z] 01:21:52 INFO - 1 CPU
[task 2019-02-28T01:21:52.309Z] 01:21:52 INFO - GPU: UNKNOWN
[task 2019-02-28T01:21:52.309Z] 01:21:52 INFO - Crash reason: SIGSEGV /SEGV_MAPERR
[task 2019-02-28T01:21:52.309Z] 01:21:52 INFO - Crash address: 0x0
[task 2019-02-28T01:21:52.309Z] 01:21:52 INFO - Process uptime: not available
[task 2019-02-28T01:21:52.310Z] 01:21:52 INFO - Thread 12 (crashed)
[task 2019-02-28T01:21:52.310Z] 01:21:52 INFO - 0 libxul.so!nsWindow::GeckoViewSupport::Open(mozilla::jni::LocalRef<mozilla::jni::TypedObject<_jclass*> > const&, mozilla::jni::Ref<mozilla::java::GeckoSession::Window, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::StringParam const&, mozilla::jni::StringParam const&, int, bool) [Assertions.h:71dd92230a54beb5037cf8ddef92b0f227653f93 : 38 + 0x4]
[task 2019-02-28T01:21:52.310Z] 01:21:52 INFO - r0 = 0x00000000 r1 = 0x581decfc r2 = 0x581e0401 r3 = 0x000004a9
[task 2019-02-28T01:21:52.311Z] 01:21:52 INFO - r4 = 0x000004a9 r5 = 0x59dc39c3 r6 = 0x563ccfd5 r7 = 0x52ff82f0
[task 2019-02-28T01:21:52.311Z] 01:21:52 INFO - r8 = 0x6772110c r9 = 0x52ff8240 r10 = 0x534e32a0 r12 = 0x00000003
[task 2019-02-28T01:21:52.311Z] 01:21:52 INFO - fp = 0x52ff8210 sp = 0x52ff81e0 lr = 0x557b7f49 pc = 0x557b979e
[task 2019-02-28T01:21:52.312Z] 01:21:52 INFO - Found by: given as instruction pointer in context
[task 2019-02-28T01:21:52.312Z] 01:21:52 INFO - 1 libxul.so!mozilla::EnableIf<(true)&&(true), void>::Type mozilla::jni::detail::ProxyNativeCall<nsWindow::GeckoViewSupport, mozilla::java::GeckoSession::Window, true, true, mozilla::jni::Ref<mozilla::java::GeckoSession::Window, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::StringParam const&, mozilla::jni::StringParam const&, int, bool>::Call<true, true, 0u, 1u, 2u, 3u, 4u, 5u, 6u, 7u, 8u, 9u>(mozilla::jni::LocalRef<mozilla::jni::TypedObject<_jclass*> > const&, std::__ndk1::integer_sequence<unsigned int, 0u, 1u, 2u, 3u, 4u, 5u, 6u, 7u, 8u, 9u>) const [Natives.h:71dd92230a54beb5037cf8ddef92b0f227653f93 : 389 + 0x3]
[task 2019-02-28T01:21:52.312Z] 01:21:52 INFO - r4 = 0x52ff8300 r5 = 0x67748310 r6 = 0x400721f4 r7 = 0x52ff8340
[task 2019-02-28T01:21:52.313Z] 01:21:52 INFO - r8 = 0x52ff831c r9 = 0x52ff8314 r10 = 0x52ff8420 fp = 0x53402790
[task 2019-02-28T01:21:52.313Z] 01:21:52 INFO - sp = 0x52ff82f8 lr = 0x557bff23 pc = 0x557bff23
[task 2019-02-28T01:21:52.313Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.313Z] 01:21:52 INFO - 2 libxul.so!mozilla::jni::detail::ProxyNativeCall<nsWindow::GeckoViewSupport, mozilla::java::GeckoSession::Window, true, true, mozilla::jni::Ref<mozilla::java::GeckoSession::Window, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::StringParam const&, mozilla::jni::StringParam const&, int, bool>::operator()() [Natives.h:71dd92230a54beb5037cf8ddef92b0f227653f93 : 472 + 0x5]
[task 2019-02-28T01:21:52.313Z] 01:21:52 INFO - r4 = 0x677482f4 r5 = 0x2a16a428 r6 = 0x677482f8 r7 = 0x52ff8368
[task 2019-02-28T01:21:52.313Z] 01:21:52 INFO - r8 = 0x400721f4 r9 = 0x52ff8843 r10 = 0x52ff8420 fp = 0x53402790
[task 2019-02-28T01:21:52.313Z] 01:21:52 INFO - sp = 0x52ff8348 lr = 0x557bfe89 pc = 0x557bfe89
[task 2019-02-28T01:21:52.313Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.314Z] 01:21:52 INFO - 3 libxul.so!nsWindow::WindowEvent<mozilla::jni::detail::ProxyNativeCall<nsWindow::GeckoViewSupport, mozilla::java::GeckoSession::Window, true, true, mozilla::jni::Ref<mozilla::java::GeckoSession::Window, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::StringParam const&, mozilla::jni::StringParam const&, int, bool>, true, mozilla::jni::Ref<mozilla::jni::TypedObject<_jclass*>, _jclass*> const&, nsWindow::GeckoViewSupport>::Run() [nsWindow.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 155 + 0x5]
[task 2019-02-28T01:21:52.314Z] 01:21:52 INFO - r4 = 0x53402810 r5 = 0x00000000 r6 = 0x00000001 r7 = 0x52ff8370
[task 2019-02-28T01:21:52.314Z] 01:21:52 INFO - r8 = 0xffffffff r9 = 0x52ff8843 r10 = 0x52ff8420 fp = 0x53402790
[task 2019-02-28T01:21:52.314Z] 01:21:52 INFO - sp = 0x52ff8370 lr = 0x557bfd7f pc = 0x557bfd7f
[task 2019-02-28T01:21:52.314Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.314Z] 01:21:52 INFO - 4 libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 1162 + 0x5]
[task 2019-02-28T01:21:52.314Z] 01:21:52 INFO - r4 = 0x53402810 r5 = 0x00000000 r6 = 0x00000001 r7 = 0x52ff8838
[task 2019-02-28T01:21:52.314Z] 01:21:52 INFO - r8 = 0xffffffff r9 = 0x52ff8843 r10 = 0x52ff8420 fp = 0x53402790
[task 2019-02-28T01:21:52.315Z] 01:21:52 INFO - sp = 0x52ff8378 lr = 0x53d61713 pc = 0x53d61713
[task 2019-02-28T01:21:52.315Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.315Z] 01:21:52 INFO - 5 libxul.so!NS_ProcessNextEvent(nsIThread*, bool) [nsThreadUtils.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 475 + 0xd]
[task 2019-02-28T01:21:52.315Z] 01:21:52 INFO - r4 = 0x00000000 r5 = 0x53402790 r6 = 0x400721f4 r7 = 0x52ff8858
[task 2019-02-28T01:21:52.315Z] 01:21:52 INFO - r8 = 0x5340435c r9 = 0x53402790 r10 = 0x53404350 fp = 0x400721f4
[task 2019-02-28T01:21:52.315Z] 01:21:52 INFO - sp = 0x52ff8840 lr = 0x53d632b9 pc = 0x53d632b9
[task 2019-02-28T01:21:52.316Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.316Z] 01:21:52 INFO - 6 libxul.so!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) [MessagePump.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 88 + 0x7]
[task 2019-02-28T01:21:52.316Z] 01:21:52 INFO - r4 = 0x53404340 r5 = 0x53466040 r6 = 0x00000000 r7 = 0x52ff8888
[task 2019-02-28T01:21:52.316Z] 01:21:52 INFO - r8 = 0x5340435c r9 = 0x53402790 r10 = 0x53404350 fp = 0x400721f4
[task 2019-02-28T01:21:52.316Z] 01:21:52 INFO - sp = 0x52ff8860 lr = 0x541253dd pc = 0x541253dd
[task 2019-02-28T01:21:52.316Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.317Z] 01:21:52 INFO - 7 libxul.so!MessageLoop::RunInternal() [message_loop.cc:71dd92230a54beb5037cf8ddef92b0f227653f93 : 315 + 0x7]
[task 2019-02-28T01:21:52.317Z] 01:21:52 INFO - r4 = 0x53466040 r5 = 0x400721f4 r6 = 0x53d10e01 r7 = 0x52ff88b0
[task 2019-02-28T01:21:52.317Z] 01:21:52 INFO - r8 = 0x597f2568 r9 = 0x400721f4 r10 = 0x52ff8a80 fp = 0x00000000
[task 2019-02-28T01:21:52.317Z] 01:21:52 INFO - sp = 0x52ff8890 lr = 0x540d8161 pc = 0x540d8161
[task 2019-02-28T01:21:52.317Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.318Z] 01:21:52 INFO - 8 libxul.so!MessageLoop::Run() [message_loop.cc:71dd92230a54beb5037cf8ddef92b0f227653f93 : 308 + 0x5]
[task 2019-02-28T01:21:52.318Z] 01:21:52 INFO - r4 = 0x53466040 r5 = 0x400721f4 r6 = 0x53d10e01 r7 = 0x52ff88d8
[task 2019-02-28T01:21:52.318Z] 01:21:52 INFO - r8 = 0x597f2568 r9 = 0x400721f4 r10 = 0x52ff8a80 fp = 0x00000000
[task 2019-02-28T01:21:52.318Z] 01:21:52 INFO - sp = 0x52ff88b8 lr = 0x540d80f1 pc = 0x540d80f1
[task 2019-02-28T01:21:52.318Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.318Z] 01:21:52 INFO - 9 libxul.so!nsBaseAppShell::Run() [nsBaseAppShell.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 137 + 0x3]
[task 2019-02-28T01:21:52.319Z] 01:21:52 INFO - r4 = 0x534b1dc0 r5 = 0x53402790 r6 = 0x53d10e01 r7 = 0x52ff88f0
[task 2019-02-28T01:21:52.319Z] 01:21:52 INFO - r8 = 0x597f2568 r9 = 0x400721f4 r10 = 0x52ff8a80 fp = 0x00000000
[task 2019-02-28T01:21:52.319Z] 01:21:52 INFO - sp = 0x52ff88e0 lr = 0x55775df1 pc = 0x55775df1
[task 2019-02-28T01:21:52.319Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.319Z] 01:21:52 INFO - 10 libxul.so!nsAppStartup::Run() [nsAppStartup.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 271 + 0x5]
[task 2019-02-28T01:21:52.320Z] 01:21:52 INFO - r4 = 0x534b3130 r5 = 0x52ff892c r6 = 0x53d10e01 r7 = 0x52ff8908
[task 2019-02-28T01:21:52.320Z] 01:21:52 INFO - r8 = 0x597f2568 r9 = 0x400721f4 r10 = 0x52ff8a80 fp = 0x00000000
[task 2019-02-28T01:21:52.320Z] 01:21:52 INFO - sp = 0x52ff88f8 lr = 0x563787df pc = 0x563787df
[task 2019-02-28T01:21:52.320Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.320Z] 01:21:52 INFO - 11 libxul.so!XREMain::XRE_mainRun() [nsAppRunner.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 4726 + 0x5]
[task 2019-02-28T01:21:52.320Z] 01:21:52 INFO - r4 = 0x52ff8b69 r5 = 0x52ff892c r6 = 0x53d10e01 r7 = 0x52ff8a08
[task 2019-02-28T01:21:52.321Z] 01:21:52 INFO - r8 = 0x597f2568 r9 = 0x400721f4 r10 = 0x52ff8a80 fp = 0x00000000
[task 2019-02-28T01:21:52.321Z] 01:21:52 INFO - sp = 0x52ff8910 lr = 0x563f9793 pc = 0x563f9793
[task 2019-02-28T01:21:52.321Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.321Z] 01:21:52 INFO - 12 libxul.so!XREMain::XRE_main(int, char**, mozilla::BootstrapConfig const&) [nsAppRunner.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 4864 + 0x5]
[task 2019-02-28T01:21:52.321Z] 01:21:52 INFO - r4 = 0x52ff8a94 r5 = 0x52ff8b94 r6 = 0x52ff8a4c r7 = 0x52ff8a78
[task 2019-02-28T01:21:52.322Z] 01:21:52 INFO - r8 = 0x52ff8a80 r9 = 0x597f259c r10 = 0x52ff8a49 fp = 0x52ff8a98
[task 2019-02-28T01:21:52.322Z] 01:21:52 INFO - sp = 0x52ff8a10 lr = 0x563f9da1 pc = 0x563f9da1
[task 2019-02-28T01:21:52.322Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.322Z] 01:21:52 INFO - 13 libxul.so!XRE_main(int, char**, mozilla::BootstrapConfig const&) [nsAppRunner.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 4948 + 0x9]
[task 2019-02-28T01:21:52.322Z] 01:21:52 INFO - r4 = 0x400721f4 r5 = 0x53407460 r6 = 0x00000006 r7 = 0x52ff8b88
[task 2019-02-28T01:21:52.323Z] 01:21:52 INFO - r8 = 0x52ff8a80 r9 = 0x52ff8b94 r10 = 0x27b00005 fp = 0xffffffff
[task 2019-02-28T01:21:52.323Z] 01:21:52 INFO - sp = 0x52ff8a80 lr = 0x563fa1f5 pc = 0x563fa1f5
[task 2019-02-28T01:21:52.323Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.323Z] 01:21:52 INFO - 14 libxul.so!GeckoStart [nsAndroidStartup.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 47 + 0x7]
[task 2019-02-28T01:21:52.323Z] 01:21:52 INFO - r4 = 0x53407460 r5 = 0x5327a448 r6 = 0x400721f4 r7 = 0x52ff8bb8
[task 2019-02-28T01:21:52.324Z] 01:21:52 INFO - r8 = 0x00000006 r9 = 0x53242c94 r10 = 0x27b00005 fp = 0xffffffff
[task 2019-02-28T01:21:52.324Z] 01:21:52 INFO - sp = 0x52ff8b90 lr = 0x563fc10f pc = 0x563fc10f
[task 2019-02-28T01:21:52.324Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.324Z] 01:21:52 INFO - 15 libmozglue.so!Java_org_mozilla_gecko_mozglue_GeckoLoader_nativeRun [APKOpen.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 371 + 0x13]
[task 2019-02-28T01:21:52.324Z] 01:21:52 INFO - r4 = 0x532797a8 r5 = 0x53407460 r6 = 0x2a16a428 r7 = 0x52ff8c10
[task 2019-02-28T01:21:52.325Z] 01:21:52 INFO - r8 = 0xffffffff r9 = 0x00000006 r10 = 0x27b00005 fp = 0xffffffff
[task 2019-02-28T01:21:52.325Z] 01:21:52 INFO - sp = 0x52ff8bc0 lr = 0x5315b973 pc = 0x5315b973
[task 2019-02-28T01:21:52.325Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.325Z] 01:21:52 INFO - 16 libdvm.so + 0x1dc4e
[task 2019-02-28T01:21:52.325Z] 01:21:52 INFO - r4 = 0x4c83f798 r5 = 0x2a169f30 r6 = 0x00000000 r7 = 0x52ef82ac
[task 2019-02-28T01:21:52.325Z] 01:21:52 INFO - r8 = 0x52ff8c28 r9 = 0x52ef8294 r10 = 0x2a169f40 fp = 0x52ff8c3c
[task 2019-02-28T01:21:52.326Z] 01:21:52 INFO - sp = 0x52ff8c18 lr = 0x4085bc50 pc = 0x4085bc50
[task 2019-02-28T01:21:52.326Z] 01:21:52 INFO - Found by: call frame info
[task 2019-02-28T01:21:52.326Z] 01:21:52 INFO - 17 data@app@org.mozilla.geckoview.test-1.apk@classes.dex + 0x4e5695
[task 2019-02-28T01:21:52.326Z] 01:21:52 INFO - sp = 0x52ff8c34 pc = 0x522dd697
[task 2019-02-28T01:21:52.326Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.326Z] 01:21:52 INFO - 18 dalvik-heap (deleted) + 0x3762fe
[task 2019-02-28T01:21:52.327Z] 01:21:52 INFO - sp = 0x52ff8c38 pc = 0x4182b300
[task 2019-02-28T01:21:52.327Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.327Z] 01:21:52 INFO - 19 libdvm.so + 0x4dcad
[task 2019-02-28T01:21:52.327Z] 01:21:52 INFO - sp = 0x52ff8c40 pc = 0x4088bcaf
[task 2019-02-28T01:21:52.327Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.327Z] 01:21:52 INFO - 20 data@app@org.mozilla.geckoview.test-1.apk@classes.dex + 0x4e568e
[task 2019-02-28T01:21:52.327Z] 01:21:52 INFO - sp = 0x52ff8c48 pc = 0x522dd690
[task 2019-02-28T01:21:52.328Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.328Z] 01:21:52 INFO - 21 libmozglue.so!loadNSSLibs() [APKOpen.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 0 + 0x13]
[task 2019-02-28T01:21:52.328Z] 01:21:52 INFO - sp = 0x52ff8c4c pc = 0x5315b831
[task 2019-02-28T01:21:52.328Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.328Z] 01:21:52 INFO - 22 libc.so + 0x47ffe
[task 2019-02-28T01:21:52.328Z] 01:21:52 INFO - sp = 0x52ff8c6c pc = 0x4006f000
[task 2019-02-28T01:21:52.328Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.329Z] 01:21:52 INFO - 23 libmozglue.so!loadNSSLibs() [APKOpen.cpp:71dd92230a54beb5037cf8ddef92b0f227653f93 : 0 + 0x13]
[task 2019-02-28T01:21:52.329Z] 01:21:52 INFO - sp = 0x52ff8c8c pc = 0x5315b831
[task 2019-02-28T01:21:52.329Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.329Z] 01:21:52 INFO - 24 libc.so + 0x109e9
[task 2019-02-28T01:21:52.329Z] 01:21:52 INFO - sp = 0x52ff8c90 pc = 0x400379eb
[task 2019-02-28T01:21:52.329Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.330Z] 01:21:52 INFO - 25 libc.so + 0x47ffe
[task 2019-02-28T01:21:52.330Z] 01:21:52 INFO - sp = 0x52ff8c94 pc = 0x4006f000
[task 2019-02-28T01:21:52.330Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.330Z] 01:21:52 INFO - 26 libc.so + 0xd9bf
[task 2019-02-28T01:21:52.330Z] 01:21:52 INFO - sp = 0x52ff8ca8 pc = 0x400349c1
[task 2019-02-28T01:21:52.330Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.330Z] 01:21:52 INFO - 27 libdvm.so + 0x4f8dd
[task 2019-02-28T01:21:52.331Z] 01:21:52 INFO - sp = 0x52ff8cb0 pc = 0x4088d8df
[task 2019-02-28T01:21:52.331Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.331Z] 01:21:52 INFO - 28 dalvik-LinearAlloc (deleted) + 0x258e6
[task 2019-02-28T01:21:52.331Z] 01:21:52 INFO - sp = 0x52ff8cb8 pc = 0x4c48c8e8
[task 2019-02-28T01:21:52.331Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.331Z] 01:21:52 INFO - 29 core.odex + 0x364ffe
[task 2019-02-28T01:21:52.331Z] 01:21:52 INFO - sp = 0x52ff8cbc pc = 0x4d7cd000
[task 2019-02-28T01:21:52.332Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.332Z] 01:21:52 INFO - 30 dalvik-heap (deleted) + 0x2c322e
[task 2019-02-28T01:21:52.332Z] 01:21:52 INFO - sp = 0x52ff8cc0 pc = 0x41778230
[task 2019-02-28T01:21:52.332Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.332Z] 01:21:52 INFO - 31 dalvik-LinearAlloc (deleted) + 0x3d87aa
[task 2019-02-28T01:21:52.332Z] 01:21:52 INFO - sp = 0x52ff8cf0 pc = 0x4c83f7ac
[task 2019-02-28T01:21:52.332Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.333Z] 01:21:52 INFO - 32 dalvik-heap (deleted) + 0x3762fe
[task 2019-02-28T01:21:52.333Z] 01:21:52 INFO - sp = 0x52ff8cf8 pc = 0x4182b300
[task 2019-02-28T01:21:52.333Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.333Z] 01:21:52 INFO - 33 dalvik-LinearAlloc (deleted) + 0x3d8796
[task 2019-02-28T01:21:52.333Z] 01:21:52 INFO - sp = 0x52ff8d04 pc = 0x4c83f798
[task 2019-02-28T01:21:52.333Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.333Z] 01:21:52 INFO - 34 data@app@org.mozilla.geckoview.test-1.apk@classes.dex + 0x52edd7
[task 2019-02-28T01:21:52.334Z] 01:21:52 INFO - sp = 0x52ff8d08 pc = 0x52326dd9
[task 2019-02-28T01:21:52.334Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.334Z] 01:21:52 INFO - 35 libdvm.so + 0x6b0b1
[task 2019-02-28T01:21:52.334Z] 01:21:52 INFO - sp = 0x52ff8d18 pc = 0x408a90b3
[task 2019-02-28T01:21:52.334Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.334Z] 01:21:52 INFO - 36 data@app@org.mozilla.geckoview.test-1.apk@classes.dex + 0x52edd7
[task 2019-02-28T01:21:52.335Z] 01:21:52 INFO - sp = 0x52ff8d1c pc = 0x52326dd9
[task 2019-02-28T01:21:52.335Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.335Z] 01:21:52 INFO - 37 data@app@org.mozilla.geckoview.test-1.apk@classes.dex + 0xc424e
[task 2019-02-28T01:21:52.335Z] 01:21:52 INFO - sp = 0x52ff8d20 pc = 0x51ebc250
[task 2019-02-28T01:21:52.335Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.335Z] 01:21:52 INFO - 38 dalvik-heap (deleted) + 0x3762fe
[task 2019-02-28T01:21:52.335Z] 01:21:52 INFO - sp = 0x52ff8d24 pc = 0x4182b300
[task 2019-02-28T01:21:52.336Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.336Z] 01:21:52 INFO - 39 data@app@org.mozilla.geckoview.test-1.apk@classes.dex + 0x52edd7
[task 2019-02-28T01:21:52.336Z] 01:21:52 INFO - sp = 0x52ff8d28 pc = 0x52326dd9
[task 2019-02-28T01:21:52.336Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.336Z] 01:21:52 INFO - 40 data@app@org.mozilla.geckoview.test-1.apk@classes.dex + 0x663ffe
[task 2019-02-28T01:21:52.336Z] 01:21:52 INFO - sp = 0x52ff8d2c pc = 0x5245c000
[task 2019-02-28T01:21:52.336Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.337Z] 01:21:52 INFO - 41 dalvik-LinearAlloc (deleted) + 0x3d8796
[task 2019-02-28T01:21:52.337Z] 01:21:52 INFO - sp = 0x52ff8d38 pc = 0x4c83f798
[task 2019-02-28T01:21:52.337Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.337Z] 01:21:52 INFO - 42 libdvm.so + 0xa9c86
[task 2019-02-28T01:21:52.337Z] 01:21:52 INFO - sp = 0x52ff8d50 pc = 0x408e7c88
[task 2019-02-28T01:21:52.337Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.337Z] 01:21:52 INFO - 43 libdvm.so + 0x385e3
[task 2019-02-28T01:21:52.338Z] 01:21:52 INFO - sp = 0x52ff8d58 pc = 0x408765e5
[task 2019-02-28T01:21:52.338Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.338Z] 01:21:52 INFO - 44 dalvik-LinearAlloc (deleted) + 0x3d8796
[task 2019-02-28T01:21:52.338Z] 01:21:52 INFO - sp = 0x52ff8d64 pc = 0x4c83f798
[task 2019-02-28T01:21:52.338Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.338Z] 01:21:52 INFO - 45 dalvik-LinearAlloc (deleted) + 0x3d8796
[task 2019-02-28T01:21:52.339Z] 01:21:52 INFO - sp = 0x52ff8d68 pc = 0x4c83f798
[task 2019-02-28T01:21:52.339Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.339Z] 01:21:52 INFO - 46 libdvm.so + 0x385d7
[task 2019-02-28T01:21:52.339Z] 01:21:52 INFO - sp = 0x52ff8d6c pc = 0x408765d9
[task 2019-02-28T01:21:52.339Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.339Z] 01:21:52 INFO - 47 libdvm.so + 0xae19e
[task 2019-02-28T01:21:52.340Z] 01:21:52 INFO - sp = 0x52ff8d70 pc = 0x408ec1a0
[task 2019-02-28T01:21:52.340Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.340Z] 01:21:52 INFO - 48 libdvm.so + 0x4f699
[task 2019-02-28T01:21:52.340Z] 01:21:52 INFO - sp = 0x52ff8d78 pc = 0x4088d69b
[task 2019-02-28T01:21:52.340Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.340Z] 01:21:52 INFO - 49 data@app@org.mozilla.geckoview.test-1.apk@classes.dex + 0x2e7faa
[task 2019-02-28T01:21:52.340Z] 01:21:52 INFO - sp = 0x52ff8d84 pc = 0x520dffac
[task 2019-02-28T01:21:52.341Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.341Z] 01:21:52 INFO - 50 dalvik-heap (deleted) + 0x3762fe
[task 2019-02-28T01:21:52.341Z] 01:21:52 INFO - sp = 0x52ff8d90 pc = 0x4182b300
[task 2019-02-28T01:21:52.341Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.341Z] 01:21:52 INFO - 51 libdvm.so + 0x1ddbe
[task 2019-02-28T01:21:52.341Z] 01:21:52 INFO - sp = 0x52ff8d94 pc = 0x4085bdc0
[task 2019-02-28T01:21:52.342Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.342Z] 01:21:52 INFO - 52 libdvm.so + 0x27062
[task 2019-02-28T01:21:52.342Z] 01:21:52 INFO - sp = 0x52ff8da0 pc = 0x40865064
[task 2019-02-28T01:21:52.342Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.342Z] 01:21:52 INFO - 53 libdvm.so + 0x2de9a
[task 2019-02-28T01:21:52.342Z] 01:21:52 INFO - sp = 0x52ff8dac pc = 0x4086be9c
[task 2019-02-28T01:21:52.342Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.343Z] 01:21:52 INFO - 54 dalvik-LinearAlloc (deleted) + 0x3cee66
[task 2019-02-28T01:21:52.343Z] 01:21:52 INFO - sp = 0x52ff8dc0 pc = 0x4c835e68
[task 2019-02-28T01:21:52.343Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.343Z] 01:21:52 INFO - 55 dalvik-heap (deleted) + 0x372276
[task 2019-02-28T01:21:52.343Z] 01:21:52 INFO - sp = 0x52ff8dc4 pc = 0x41827278
[task 2019-02-28T01:21:52.343Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.343Z] 01:21:52 INFO - 56 libdvm.so + 0x2b582
[task 2019-02-28T01:21:52.344Z] 01:21:52 INFO - sp = 0x52ff8dc8 pc = 0x40869584
[task 2019-02-28T01:21:52.344Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.344Z] 01:21:52 INFO - 57 data@app@org.mozilla.geckoview.test-1.apk@classes.dex + 0x4e4b4c
[task 2019-02-28T01:21:52.344Z] 01:21:52 INFO - sp = 0x52ff8e40 pc = 0x522dcb4e
[task 2019-02-28T01:21:52.344Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.344Z] 01:21:52 INFO - 58 dalvik-LinearAlloc (deleted) + 0x3cee66
[task 2019-02-28T01:21:52.344Z] 01:21:52 INFO - sp = 0x52ff8e4c pc = 0x4c835e68
[task 2019-02-28T01:21:52.345Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.345Z] 01:21:52 INFO - 59 libdvm.so + 0x5fcbf
[task 2019-02-28T01:21:52.345Z] 01:21:52 INFO - sp = 0x52ff8e58 pc = 0x4089dcc1
[task 2019-02-28T01:21:52.345Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.345Z] 01:21:52 INFO - 60 dalvik-LinearAlloc (deleted) + 0x3cee66
[task 2019-02-28T01:21:52.345Z] 01:21:52 INFO - sp = 0x52ff8e60 pc = 0x4c835e68
[task 2019-02-28T01:21:52.345Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.346Z] 01:21:52 INFO - 61 dalvik-heap (deleted) + 0x372276
[task 2019-02-28T01:21:52.346Z] 01:21:52 INFO - sp = 0x52ff8e64 pc = 0x41827278
[task 2019-02-28T01:21:52.346Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.346Z] 01:21:52 INFO - 62 libdvm.so + 0xae19e
[task 2019-02-28T01:21:52.346Z] 01:21:52 INFO - sp = 0x52ff8e6c pc = 0x408ec1a0
[task 2019-02-28T01:21:52.346Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - 63 libdvm.so + 0xae4aa
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - sp = 0x52ff8e74 pc = 0x408ec4ac
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - 64 libdvm.so + 0xae4a6
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - sp = 0x52ff8e78 pc = 0x408ec4a8
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - 65 libdvm.so + 0x5fce9
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - sp = 0x52ff8e88 pc = 0x4089dceb
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - 66 libdvm.so + 0x54a71
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - sp = 0x52ff8ea4 pc = 0x40892a73
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - 67 libdvm.so + 0x549cf
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - sp = 0x52ff8edc pc = 0x408929d1
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - 68 libc.so + 0xca5a
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - sp = 0x52ff8ee8 pc = 0x40033a5c
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - Found by: stack scanning
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - 69 libc.so + 0xcbd6
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - sp = 0x52ff8f00 pc = 0x40033bd8
[task 2019-02-28T01:21:52.350Z] 01:21:52 INFO - Found by: stack scanning

Chris, can you assign someone for this?

Flags: needinfo?(cpeterson)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Crash Signature: [@ nsWindow::GeckoViewSupport::Open(mozilla::jni::LocalRef<mozilla::jni::TypedObject<_jclass*> > const&, mozilla::jni::Ref<mozilla::java::GeckoSession::Window, _jobject*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, mozilla::jni::Ref…
Flags: needinfo?(cpeterson)
Summary: Intermittent org.mozilla.geckoview.test.PermissionDelegateTest.media | status -2 → Intermittent org.mozilla.geckoview.test.PermissionDelegateTest.media | status -2 | application crashed [@ nsWindow::GeckoViewSupport::Open()]
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Duplicate of this bug: 1531684

No failures since 2019-03-01: Possibly stopped happening after bug 1482231 increased the number of test chunks.

Whiteboard: [stockwell disable-recommended] → [stockwell unknown]
Whiteboard: [stockwell disable-recommended] → [stockwell unknown]

I'm editing a bunch of GeckoView bugs. If you'd like to filter all this bugmail, search and destroy emails containing this UUID:

e88a5094-0fc0-4b7c-b7c5-aef00a11dbc9

Priority: P1 → P3
You need to log in before you can comment on or make changes to this bug.